net.minecraftforge.liquids

## Class LiquidContainerRegistry

- java.lang.Object
- - net.minecraftforge.liquids.LiquidContainerRegistry

- Deprecated.

      @Deprecated
      public class LiquidContainerRegistry
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BUCKET_VOLUME` Deprecated.
    `static ItemStack` | `EMPTY_BUCKET` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiquidContainerRegistry()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `containsLiquid(ItemStack filledContainer, LiquidStack liquid)` Deprecated.
    `static ItemStack` | `fillLiquidContainer(LiquidStack liquid, ItemStack emptyContainer)` Deprecated.
    `static LiquidStack` | `getLiquidForFilledItem(ItemStack filledContainer)` Deprecated.
    `static LiquidContainerData[]` | `getRegisteredLiquidContainerData()` Deprecated.
    `static boolean` | `isBucket(ItemStack container)` Deprecated.
    `static boolean` | `isContainer(ItemStack container)` Deprecated.
    `static boolean` | `isEmptyContainer(ItemStack emptyContainer)` Deprecated.
    `static boolean` | `isFilledContainer(ItemStack filledContainer)` Deprecated.
    `static boolean` | `isLiquid(ItemStack item)` Deprecated.
    `static void` | `registerLiquid(LiquidContainerData data)` Deprecated. To register a container with a non-bucket size, the LiquidContainerData entry simply needs to use a size other than LiquidManager.BUCKET_VOLUME

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BUCKET_VOLUME

          public static final int BUCKET_VOLUME

      Deprecated.
      See Also:
        Constant Field Values

    - #### EMPTY_BUCKET

          public static final ItemStack EMPTY_BUCKET

      Deprecated.

  - ### Constructor Detail

    - #### LiquidContainerRegistry

          public LiquidContainerRegistry()

      Deprecated.

  - ### Method Detail

    - #### registerLiquid

          public static void registerLiquid(LiquidContainerData data)

      Deprecated.
      To register a container with a non-bucket size, the LiquidContainerData entry simply needs to use a size other than LiquidManager.BUCKET_VOLUME

    - #### getLiquidForFilledItem

          public static LiquidStack getLiquidForFilledItem(ItemStack filledContainer)

      Deprecated.

    - #### fillLiquidContainer

          public static ItemStack fillLiquidContainer(LiquidStack liquid,
                                      ItemStack emptyContainer)

      Deprecated.

    - #### containsLiquid

          public static boolean containsLiquid(ItemStack filledContainer,
                               LiquidStack liquid)

      Deprecated.

    - #### isBucket

          public static boolean isBucket(ItemStack container)

      Deprecated.

    - #### isContainer

          public static boolean isContainer(ItemStack container)

      Deprecated.

    - #### isEmptyContainer

          public static boolean isEmptyContainer(ItemStack emptyContainer)

      Deprecated.

    - #### isFilledContainer

          public static boolean isFilledContainer(ItemStack filledContainer)

      Deprecated.

    - #### isLiquid

          public static boolean isLiquid(ItemStack item)

      Deprecated.

    - #### getRegisteredLiquidContainerData

          public static LiquidContainerData[] getRegisteredLiquidContainerData()

      Deprecated.